﻿@model ForumSectionViewModel

<h1>Название форума - @Model.Name</h1>
<h4>Описание форума - @Model.Description</h4>

<div style="display: flex; align-items: center; justify-content: space-between;">
    <h2>Темы</h2>
    <a asp-controller="Topic" asp-action="Create" asp-route-id="@Model.Id" class="btn btn-success">Создать тему</a>
</div>

<div class="list-group">
    @foreach (TopicViewModel topic in Model.Topics)
     {
         <div class="list-group-item">
             <div>@topic.Created</div>

             <div  style="display: flex; justify-content:space-between;">
                 <div style="display: flex;">
                     <a asp-controller="Topic" asp-action="Details" asp-route-id="@topic.Id">@topic.Name</a>

                 </div>

                 <div style="display: flex;">
                     <a asp-controller="Topic" asp-action="Edit" asp-route-id="@topic.Id">Редактировать</a>
                     <p style="margin: 0; width: fit-content;"> | </p>
                     <a asp-controller="Topic" asp-action="Delete" asp-route-id="@topic.Id">Удалить</a>
                 </div>
             </div>

             <div>@topic.Description</div>
        </div>
     }
</div>
